/*****************************************************************************
 *
 * vstypes.h - Vision Server Common Type Defintions
 *
 *****************************************************************************/

/*****************************************************************************
 *
 *                         PROPRIETARY NOTICE
 *
 *                      Copyright (c) 2004-2007
 *                by NMS Communications Corporation.
 *
 *  The following is licensed program material and is considered
 *  proprietary and confidential.  No part of this program may be
 *  reproduced or used in any form or by any means without the express
 *  written permission of NMS Communications Corporation.
 *
 *****************************************************************************/

#ifndef _VSTYPES_H
#define _VSTYPES_H

#if defined(USE_MEMTRACKER)
#include "malloc.h"
#include "memtracker.h"
#endif

#ifndef TRUE
  #define TRUE 1
#endif
#ifndef FALSE
  #define FALSE 0
#endif

/* ----- General 'C' Constants for basic field/value definitions ----- */
#ifndef NULL
#define NULL    (void *)0
#endif

#ifndef U8
#define U8 unsigned char
#endif

#ifndef S8
#define S8 char
#endif

#ifndef U16
#define U16 unsigned short
#endif

#ifndef S16
#define S16 short
#endif

#ifndef U32
#define U32 unsigned int
#endif

#ifndef S32
#define S32 int
#endif

/* ----- numeric value type that would be used to hold a pointer [based on whenther building for 32-bit, 64-bit, etc.] ----- */
#ifndef PTR_AS_VAL
#define PTR_AS_VAL long
#endif

#endif  /* _VSTYPES_H */
