/*****************************************************************************
 *
 * vsport.h - Vision Server well-known port definitions
 *
 *****************************************************************************/

/*****************************************************************************
 *
 *                         PROPRIETARY NOTICE
 *
 *                      Copyright (c) 1988-2007
 *                by NMS Communications Corporation.
 *
 *  The following is licensed program material and is considered
 *  proprietary and confidential.  No part of this program may be
 *  reproduced or used in any form or by any means without the express
 *  written permission of NMS Communications Corporation.
 *
 *****************************************************************************/

#ifndef _VSPORT_H
#define _VSPORT_H

/* ----- dependent includes ----- */

/*****************************************************************************
 * UDP PORTS
 *****************************************************************************/

#define VSREMOTE_DEFAULT_PORT       7130    /* default port number used for connections */

#define VT_MANAGE_REQRSP_PORT       25200   /* default port number TRC Agent accepts management requests over */
#define VT_MANAGE_NOTIF_PORT        25201   /* default port number TRC Agent sends notifications to */
#define VT_MANAGE_CHECK_PORT        25202   /* default port number SNMP check tool listens on */
#define VT_MANAGE_OUTNOTIF_PORT     25203   /* default port number TRC Agent sends notifications from */
#define VT_MANAGE_AGX_REQRSP_PORT   25204   /* default port number VTSNMP agentx listens on for responses from TRC Agent */
#define VT_MANAGE_AGENT_NOTIF_PORT  25205   /* default port number TRC Agent receives lower-level notifications (via UDP) */
#define VT_MANAGE_MON_REQRSP_PORT   25206   /* default port number VTMON accepts management requests over */
#define VT_MANAGE_MON_OUTNOTIF_PORT 25207   /* default port number VTMON sends notifications from */
#define VT_MANAGE_API_REQRSP_PORT   25208   /* default port number VTMNG API sends requests from */

/*****************************************************************************
 * TCP PORTS
 *****************************************************************************/
#define VSLOG_REMOTE_MANAGER_PORT   7132    /* default port number when connecting to remote log manager */

#endif  /* _VSPORT_H */
